WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Version 2.0 warning crash the site

[Resolved] Version 2.0 warning crash the site

  • Hello,

    My website works fine with version 1.9 of this plugin, however after updated to version 2.0, I’ve received following warning:

    Warning: Illegal string offset 'RMExternal' in C:\xampp\htdocs\gv\wp-content\plugins\responsive-menu\app\library\responsive-menu\Registry.php on line 27
    
    Warning: Illegal string offset 'RMExternal' in C:\xampp\htdocs\gv\wp-content\plugins\responsive-menu\app\library\responsive-menu\Registry.php on line 27
    
    Warning: Illegal string offset 'RMFooter' in C:\xampp\htdocs\gv\wp-content\plugins\responsive-menu\app\library\responsive-menu\Registry.php on line 27

    then my site crashed and cannot connect to the front end any more. How to fix this problem? Also, thank you very much for creating such a great plugin 😀

    https://wordpress.org/plugins/responsive-menu/

Viewing 10 replies - 1 through 10 (of 10 total)
  • Looks like you are developing locally. Just go this folder using windows explorer C:\xampp\htdocs\gv\wp-content\plugins\ and delete the folder called responsive-menu. The front-end of your site will be visible again after that.

    Hi Felix,

    Apologies this has happened, its strange because I haven’t heard of anyone else have this issue nor have I seen it in all my testing.

    As you are working locally I cant do anything in terms of connecting to fix it or see what the issue is.

    Ill try and replicate this my end and see if I can find a reason why its crashed your site.

    Ill keep you updated here

    Many thanks

    Peter

    Hi Felix,

    Again, my sincerest apologies for the errors you have found. There have been a few bugs creep in since the 2.0 update due to it being a complete code re-write and with 56 different options its hard to debug every scenario!

    However, I am trying to iron all these out at the moment and may have now fixed this in the 2.1 beta. If you could please download and install it to see if it fixes the issue for you that would be great.

    The updated plugin can be found below:

    http://downloads.wordpress.org/plugin/responsive-menu.2.1.zip

    Please let me know how you get on with this

    Many thanks

    Peter

    Hi Peter,

    I actually had the same problem as Peter. As I was am developing locally as well that’s likely where the issue was. I will install the 2.1 beta and let you know how it goes. Thanks!

    Unfortunately, I’m still getting warnings (although I think it’s a different one). Here’s a screenshot. The error message is Warning: array_merge(): Argument #2 is not an array in C:\Users\taliwalt\Documents\Websites\www.acf.dev\wp-content\plugins\responsive-menu\app\library\responsive-menu\ResponsiveMenu.php on line 69 and it repeats 5 times.

    Hi guys,

    Thanks for the update and screenshot Tali.

    This is extremely odd, it means that it is not saving the options as an array correctly in your site.

    I have now forced this to be an array, if you could download the 2.1 beta again (it has now been updated) and install it to see if this fixes the issue for you?

    Many thanks

    Peter

    That seemed to do the trick. Thanks!

    Hey taliwalt,

    Great news! Felix could you confirm the same?

    Many thanks

    Peter

    Sorry for the delay in replying. Your updated version 2.1 works flawlessly for me. Once again, thank you very much for your great support. Absolutely 5-stars plugin (high five :D)

    Hey Felix,

    Great news that it fixed it for you and keep enjoying the plug-in!

    Many thanks

    Peter

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘[Resolved] Version 2.0 warning crash the site’ is closed to new replies.